# BarcodeFormatOneDConfigurationBase class abstract

Base class for all linear (1D) barcode configurations.

Inheritance
  - Object
  - BarcodeFormatConfigurationBase
  - BarcodeFormatOneDConfigurationBase
Implementers
  - BarcodeFormatCodabarConfiguration
  - BarcodeFormatCode2Of5Configuration
  - BarcodeFormatCode11Configuration
  - BarcodeFormatCode39Configuration
  - BarcodeFormatCode93Configuration
  - BarcodeFormatCode128Configuration
  - BarcodeFormatDataBarConfiguration
  - BarcodeFormatDataBarExpandedConfiguration
  - BarcodeFormatDataBarLimitedConfiguration
  - BarcodeFormatItfConfiguration
  - BarcodeFormatMsiPlesseyConfiguration
  - BarcodeFormatPharmaCodeConfiguration
  - BarcodeFormatUpcEanConfiguration

## Constructors

BarcodeFormatOneDConfigurationBase.new({String regexFilter = "", double minimumSizeScore = 0.0, bool addAdditionalQuietZone = false, int minimum1DQuietZoneSize = 6})
BarcodeFormatOneDConfigurationBase.fromJson(Map<String, dynamic> json)
  factory

## Properties

addAdditionalQuietZone ↔ bool
  If true, we process the barcode scanning with an artificial quiet zone that we add to the input image. This flag should be used to scan sharp crops of a barcode in single-shot mode.
  getter/setter pair inherited
hashCode → int
  The hash code for this object.
  no setter inherited
minimum1DQuietZoneSize ↔ int
  Minimum quiet zone size on the left and right sides of a 1D barcode, measured in number of modules. The quiet zone is only for 1D barcodes with weak start/stop patterns, i.e. Iata2Of5, Industrial2Of5, Code25, Itf, Codabar, MsiPlessey and Code11.
  getter/setter pair
minimumSizeScore ↔ double
  Minimum acceptable value of a result BarcodeItem's sizeScore (between 0 and 1). Barcodes with a sizeScore less than this value will not be scanned. When set to 0, barcodes are returned no matter what their size is.
  getter/setter pair inherited
regexFilter ↔ String
  Regular expression filter for barcode text. If the barcode text does not match the regular expression, it will not be scanned. The default is an empty string (setting is turned off).
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

barcodeFormatCodabarConfiguration() → BarcodeFormatCodabarConfiguration
  override
barcodeFormatCode11Configuration() → BarcodeFormatCode11Configuration
  override
barcodeFormatCode128Configuration() → BarcodeFormatCode128Configuration
  override
barcodeFormatCode2Of5Configuration() → BarcodeFormatCode2Of5Configuration
  override
barcodeFormatCode39Configuration() → BarcodeFormatCode39Configuration
  override
barcodeFormatCode93Configuration() → BarcodeFormatCode93Configuration
  override
barcodeFormatDataBarConfiguration() → BarcodeFormatDataBarConfiguration
  override
barcodeFormatDataBarExpandedConfiguration() → BarcodeFormatDataBarExpandedConfiguration
  override
barcodeFormatDataBarLimitedConfiguration() → BarcodeFormatDataBarLimitedConfiguration
  override
barcodeFormatItfConfiguration() → BarcodeFormatItfConfiguration
  override
barcodeFormatMsiPlesseyConfiguration() → BarcodeFormatMsiPlesseyConfiguration
  override
barcodeFormatPharmaCodeConfiguration() → BarcodeFormatPharmaCodeConfiguration
  override
barcodeFormatUpcEanConfiguration() → BarcodeFormatUpcEanConfiguration
  override